Skip to main content
PUT
[Admin] Update lesson

Authorizations

Authorization
string
header
required

Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer .

Path Parameters

courseId
string<uuid>
required
lessonId
string<uuid>
required

Body

application/json
courseId
string<uuid>
lessonId
string<uuid>
title
string | null
htmlContent
string | null
content
string | null
mediaUrl
string | null
duration
integer<int32>
isDraft
boolean
free
boolean
coverUrl
string | null
launchAt
string<date-time> | null
finishAt
string<date-time> | null
isAudio
boolean
showSubtitles
boolean
moduleId
string<uuid> | null
attachments
object[] | null
mediaAssetId
string<uuid> | null
instructorId
string<uuid> | null
showCompleteButton
boolean
allowComments
boolean
allowPdfDownload
boolean
mediaType
integer<int32> | null

Response

200

OK